Search Apollo people (documented: no credits)
POST
/v1/workspace/integrations/apollo/search
const url = 'https://api.vocapable.com/v1/workspace/integrations/apollo/search';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"titles":["example"],"person_locations":["example"],"organization_locations":["example"],"organization_domains":["example"],"employee_ranges":["example"],"seniorities":["example"],"keywords":"example","page":1,"per_page":25}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.vocapable.com/v1/workspace/integrations/apollo/search \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "titles": [ "example" ], "person_locations": [ "example" ], "organization_locations": [ "example" ], "organization_domains": [ "example" ], "employee_ranges": [ "example" ], "seniorities": [ "example" ], "keywords": "example", "page": 1, "per_page": 25 }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
WorkspaceApolloSearch
object
titles
Titles
Array<string>
person_locations
Person Locations
Array<string>
organization_locations
Organization Locations
Array<string>
organization_domains
Organization Domains
Array<string>
employee_ranges
Employee Ranges
Array<string>
seniorities
Seniorities
Array<string>
page
Page
integer
per_page
Per Page
integer
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
WorkspaceApolloSearchPage
object
people
required
People
Array<object>
WorkspaceApolloPersonobject
id
required
Id
string
name
required
Name
string
page
required
Page
integer
per_page
required
Per Page
integer
credits_used
Credits Used
integer
0Example
{ "credits_used": 0}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}